#include <stdio.h>

#ifdef AU_MSDOS
#include <alloc.h>
#include <mem.h>
#ifdef DEBUG
#include <dos.h>
#endif
#endif

#include "ausnmp.h"
#include "pktsnap.h"
#include "flowhash.h"

int main(int argc, char *argv[])
{
   struct flow far *f, far *g;
   int r;

   f = farmalloc(sizeof(struct flow));
   g = farmalloc(sizeof(struct flow));

   f->fk.Low.DetailAddress[0] = 0;
   f->fk.Low.DetailAddress[1] = 20;
   g->fk.Low.DetailAddress[0] = 0;

   g->fk.Low.DetailAddress[1] = 21;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("differ: r=%d\n", r);

   g->fk.Low.DetailAddress[1] = 20;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("same: r=%d\n\n", r);

   f->fk.Low.DetailAddress[1] = 0;
   f->fk.Low.DetailAddress[0] = 20;
   g->fk.Low.DetailAddress[1] = 0;

   g->fk.Low.DetailAddress[0] = 21;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("differ: r=%d\n", r);

   g->fk.Low.DetailAddress[0] = 20;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("same: r=%d\n\n", r);

   f->fk.Low.DetailAddress[0] = 7;
   f->fk.Low.DetailAddress[1] = 20;
   g->fk.Low.DetailAddress[0] = 7;

   g->fk.Low.DetailAddress[1] = 21;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("differ: r=%d\n", r);

   g->fk.Low.DetailAddress[1] = 20;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("same: r=%d\n\n", r);

   f->fk.Low.DetailAddress[0] = 7;
   f->fk.Low.DetailAddress[1] = 20;
   g->fk.Low.DetailAddress[0] = 33;

   g->fk.Low.DetailAddress[1] = 21;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("differ: r=%d\n", r);

   g->fk.Low.DetailAddress[1] = 20;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("differ: r=%d\n\n", r);

   f->fk.Low.DetailAddress[0] = 7;
   f->fk.Low.DetailAddress[1] = 3;
   g->fk.Low.DetailAddress[0] = 9;
   g->fk.Low.DetailAddress[1] = 3;
   r = qcmp(f->fk.Low.DetailAddress,
	       g->fk.Low.DetailAddress,DETAIL_ADDR_LEN);
   printf("differ: r=%d\n", r);

   }
